#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tasty-rerun
version: 1.1.10
id: tasty-rerun-1.1.10-FtZ9Cz8NNLe4BdxbZRgBrH
key: tasty-rerun-1.1.10-FtZ9Cz8NNLe4BdxbZRgBrH
license: BSD3
copyright: Oliver Charles (c) 2014
maintainer: ollie@ocharles.org.uk
homepage: http://github.com/ocharles/tasty-rerun
synopsis: Run tests by filtering the test tree depending on the result of previous test
          runs
description:
    This ingredient adds the ability to run tests by first filtering the test tree
    based on the result of a previous test run. For example, you can use this to
    run only those tests that failed in the last run, or to run only tests that
    have been added since tests were last ran.
    .
    This ingredient is specifically an ingredient *transformer* - given a list of
    '\''Tasty.Ingredient'\''s, '\''rerunningTests'\'' adds the ability for all of these
    ingredients to run against a filtered test tree. This transformer can be
    applied as follows:
    .
    > import Test.Tasty
    > import Test.Tasty.Runners
    >
    > main :: IO ()
    > main =
    >   defaultMainWithIngredients
    >     [ rerunningTests [ listingTests, consoleTestReporter ] ]
    >     tests
    >
    > tests :: TestTree
    > tests = undefined
    .
    This ingredient adds three command line parameters:
    .
    [@--rerun-update@] If specified the results of this test run will be saved to
    the log file at @--rerun-log-file@. If the ingredient does not execute tests
    (for example, @--list-tests@ is used) then the log file will not be
    updated. This option is not enabled by default.  This option does not require
    a value.
    .
    [@--rerun-log-file@] The path to the log file to read previous test
    information from, and where to write new information to (if @--rerun-update@
    is specified). This option defaults to @.tasty-rerun-log@.
    .
    [@--rerun-filter@] Which filters to apply to the '\''Tasty.TestTree'\'' based on
    previous test runs. The value of this option is a comma separated list of the
    following options:
    .
    * @failures@: Only run tests that failed on the previous run.
    .
    * @exceptions@: Only run tests that threw an exception on the previous run.
    .
    * @new@: Only run tests that are new since the previous test run.
    .
    * @successful@: Only run tests that were successful in the previous run.
    .
    Multiple options can be combined and will be taken under disjunction - so
    @--rerun-filter=failures,exceptions@ will run only tests that failed *or*
    threw an exception on the last run.
    .
    Defaults to all filters, which means all tests will be ran.
category: Testing
author: Oliver Charles
exposed: True
indefinite: False
exposed-modules:
    Test.Tasty.Ingredients.Rerun
abi: 328e01cffcfff9a945d3ab296d00789a
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/tasty-rerun-1.1.10
library-dirs: /usr/lib/ghc-8.2.2/site-local/tasty-rerun-1.1.10
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/tasty-rerun-1.1.10
hs-libraries: HStasty-rerun-1.1.10-FtZ9Cz8NNLe4BdxbZRgBrH
depends:
    base-4.10.1.0 containers-0.5.10.2 mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx
    reducers-3.12.2-B6LvBV6IC5M40kINNE4BgJ
    split-0.2.3.3-BN2ylJ9hXZBIaY8HiUVge7
    stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x
    tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2
    tasty-1.0.1-6QoLqx9WxdFAMqhCbUSSVw transformers-0.5.2.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx=99d3b6185b97a50267713e5e4f714d8c
             reducers-3.12.2-B6LvBV6IC5M40kINNE4BgJ=a8c669c2396c196572599a9049c39887
             split-0.2.3.3-BN2ylJ9hXZBIaY8HiUVge7=01757e2ec35d59898ece5a0920f0a87f
             stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x=ad99cb175fde1a67819ef6519a4015eb
             tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2=4764468d99de060aada7572c7b2f4378
             tasty-1.0.1-6QoLqx9WxdFAMqhCbUSSVw=bbbd3d2dbc3e024b1d595aa9937982df
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
haddock-interfaces: /usr/share/doc/haskell-tasty-rerun/html/tasty-rerun.haddock
haddock-html: /usr/share/doc/haskell-tasty-rerun/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

